html {
    font-family: 'Roboto', sans-serif;
}

.nav {
    display: flex;
    box-shadow: 0px 2px 1px 0px rgb(228, 228, 228);
    position: sticky;
    top: 0;
    z-index: 9;
    background-color: white;
}

.right-nav {
    display: flex;
    margin-left: auto;
    margin-bottom: 0;
}

.nav-no-shadow {
    box-shadow: none;
}

.tab, .logo-section > a > img {
    display: flex;
    align-items: center;
    padding: 7px 40px;
    cursor: pointer;
    margin-bottom: 0;
}

.tab a p, .tab p, .tab a {
    font-size: 10px;
    text-decoration: none;
    color: #000000;
    cursor: pointer;
    letter-spacing: 1.5px;
    font-weight: 500;
    display: flex;
    align-items: center;
}

.tab > a {
    width: 100%;
}

.tab:hover {
    background-color: #F8F8F8;
}


.logo-section {
    border-right: 1px solid #D8D8D8;
    height: 100%;
    margin-bottom: 0;
}

.project-tab > img {
    margin-left: 5px;
    width: 9px;
}

.right-nav > a {
    text-decoration: none;
}

.tab {
    border-left: 1px solid #D8D8D8;
    height: 75%;
    padding-left: 70px;
    padding-right: 70px;
}

.right-nav > div {
    padding: 7px 70px;
}



/* MENU */
.menu {
    display: flex;
    /* flex-direction: column; */
    position: fixed;
    z-index: 7;
    top: 54px;
    /* padding: 20px; */
    background-color: rgb(247, 247, 247);
    width: 100%;
    /* padding: 0 70px; */
    margin: auto;
    justify-content: center;
}

.menu > a {
    text-decoration: none;
    color: #000000;
    font-size: 10px;
    /* line-height: 2; */
    width: 217px;
    padding: 26px 0;
    /* margin: 20px 0 20px -70px; */
    /* margin-left: -70px; */
    text-align: center;
    font-weight: 500;
    letter-spacing: 1.5px;
}

.menu-select {
    background-color: white;
}

.menu > a:hover {
    background-color: white;
}

.menu-bar {
    width: 100%;
    height: 1px;
    background-color: black;
    margin-top: 20px;
}

/* END MENU */

/* Hamburger menu */
.ham-menu {
    background-color: white;
}

.ham-menu-cont {
    margin-left: auto;
    width: 100%;
    flex-direction: column;
    /* background-color: white; */
}

.ham-menu-cont > a {
    cursor: pointer;
    margin: auto;
    font-size: 12px;
    width: 100%;
    height: 64px;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.ham-menu > a:hover {
    background-color: #F8F8F8;
}

.hamburger {
    margin-right: 30px;
    width: 20px;
    display: none;
    cursor: pointer;
}

.ham-contact {
    height: 100%;
}
/* End hamburger menu */



.container {
    background-color: black;
    margin: 0 30px 20px;
    padding-bottom: 0;
    height: 100%;
    box-sizing: border-box;
    /* border-radius: 5px; */
}

.top-section {
    text-align: center;
    padding-top: 112px;
    padding-bottom: 0;
    box-sizing: border-box;
    height: 100%;
    /* margin-bottom: 50px; */
}

h1 {
    color: white;
    font-weight: 500;
    font-size: 36px;
}

h2 {
    color: white;
    font-weight: 500;
    font-size: 26px;
    margin-bottom: 20px;
}

.h-title {
    font-weight: 200;
    line-height: 1.4;
}

.title-a {
    /* text-decoration: none; */
    color: white;
    cursor: pointer;
}

.title-a:hover {
    color: rgb(186, 186, 186);
    text-decoration: none;
}

.top-section > p {
    color: white;
    padding: 20px 0 80px;
    font-size: 12px;
    letter-spacing: 1.5px;
    text-transform: uppercase;
    max-width: 550px;
    margin: auto;
    line-height: 1.5;
}

.top-section > img {
    width: 100%;
    height: 100%;
    margin-bottom: 0;
}

.mid-tab {
    display: flex;
    justify-content: center;
    margin-top: 20px;
    margin-bottom: 0;
    position: sticky;
    top: 50;
    margin: 0 30px;

    /* z-index: 8; */
    /* width: 100%; */
}

.mid-tab-col {
    width: 33.33%;
    display: flex;
    justify-content: center;
    padding: 25px 0;
    font-size: 10px;
    letter-spacing: 1.5px;
    /* border-left: 1px solid #D8D8D8; */
    background-color: rgb(242, 242, 242);
    cursor: pointer;
    margin-bottom: 0;
    color: #0b0b0b;
    font-weight: 500;
    /* box-shadow: 0px 2px 4px 0px rgb(228, 228, 228); */
}


.left-tab {
    border-right: 1px solid #D8D8D8;
}

.middle-tab {
    border-right: 1px solid #D8D8D8;
}


.mid-select {
    background-color: white;
    /* border-left: 1px solid #D8D8D8; */
    
}


.mid-tab-col:hover {
    background-color: white;
}

/* projects */
.container-project:hover {
    background-color: rgb(18, 18, 18);
}

.project-link {
    cursor: pointer;
    text-decoration: none;
}
.project-section {
    display: flex;
    align-items: center;
    padding: 100px 100px;
    justify-content: center;
}

.project-details, .project-image {
    width: 50%;
}

.project-details >  p, div {
    margin-bottom: 20px;
}

.project-details > h1 {
    margin-bottom: 10px;
}


.project-details > p {
    color: white;
    font-size: 14px;
    letter-spacing: 1.5px;
    line-height: 2;
    width: 70%;
    font-weight: 300;
}

.tech-list {
    display: flex;
}

.tech-list > img {
    width: 40px;
    margin: 5px;
}

.project-image > img {
    width: 100%;
}

.proj-link {
    color: white;
    text-decoration: underline;
    font-weight: 300;
    letter-spacing: 1.2px;
}

.link-div {
    display: flex;
    align-items: center;
}

.link-div > img {
    margin-right: 10px;
}

/* footer */
/* footer {
    position: sticky;
    bottom: 0;
} */
.nav-footer {
    box-shadow: 0px -2px 1px 0px rgb(228, 228, 228);
    margin-bottom: 0;
}

.foot-img {
    width: 20px;
}

/* project pages */
.tech-list-proj {
    margin: auto;
    justify-content: center;
    /* margin-bottom: 20px; */
}

.proj-top {
    padding-bottom: 112px;
}

.proj-top > p {
    padding-bottom: 20px;
    line-height: 2;
}

/* resume */
.container-resume {
    display: flex;
}

.container-resume {
    background-color: white;
    margin-left: 30px;
    margin-right: 30px;
}

.resume-col {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.resume-left-col {
    width: 65%;
    margin-right: 10px;
    margin-bottom: 0;
    /* background-color: #0b0b0b; */
    box-sizing: border-box;
}

.resume-right-col {
    width: 35%;
    margin-left: 10px;
    background-color: black;
    box-sizing: border-box;
    margin-bottom: 0;
    align-items: flex-start;
}

.resume-details {
    background-color: black;
    width: 100%;
    height: 100%;
    padding: 80px;
    box-sizing: border-box;
}

.resume-details > p {
    margin-bottom: 10px;
}

.resume-line {
    color: white;
    font-size: 14px;
    letter-spacing: 1.5px;
    line-height: 2;
    width: 100%;
    font-weight: 300;
}

.resume-details > ul > li {
    color: white;
    font-size: 14px;
    letter-spacing: 1.5px;
    line-height: 2;
    width: 100%;
    font-weight: 300;
    margin-top: 20px;
    list-style-type: circle;
}

.resume-line {
    display: flex;
    padding-bottom: 20px;
}

.resume-date {
    margin-left: auto;
}

.resume-line-r {
    flex-direction: column;
    margin-bottom: 30px;
}

.resume-details-last {
    margin-bottom: 0;
}

/* contact modal */
.contact-cont {
    height: 100%;
    width: 100%;
    background: rgba(255, 255, 255, 0.8);
    position: fixed;
    z-index: 10;
    top: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    cursor: pointer;
}

.contact-modal {
    width: 50%;
    height: 50%;
    /* justify-content: center; */
    margin: auto;
    background-color: black;
    /* box-shadow: 0px 3px 5px 1px #212121; */
    /* border: 2px solid white; */
    padding: 20px;
    box-sizing: border-box;
}

.x-row {
    width: 100%;
    position: absolute;
}

.x-row > img {
    margin-left: auto;
    width: 12px;
    cursor: pointer;
}

.modal-content {
    /* margin: auto; */
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    box-sizing: border-box;
}

.modal-content > p {
    color: white;
    /* padding: 20px 0 80px; */
    font-size: 12px;
    letter-spacing: 1.5px;
    text-transform: uppercase;
    /* margin: auto; */
    line-height: 1.5;
    margin-top: 20px;
}

/* project-banner */
.project-banner {
    background: none;
}

.project-banner:hover {
    background: none;
}

.project-banner > img {
    width: 100%;
}

.project-p > p {
    margin-bottom: 40px;
}








.hide {
    display: none;
}


/* tablet */
@media only screen and (max-width: 900px) {
    .hamburger {
        display: block;
        margin-left: auto;
    }

    .right-nav-main {
        display: none;
    }
}

@media only screen and (max-width: 750px) {
    .project-section {
        flex-direction: column;
    }

    .project-details, .project-details > p {
        width: 100%;
    }

    .project-image {
        width: 100%;
    }


   /* .nav-footer {
       flex-direction: column;
   } */

   .footer-logo, .footer-tab {
       margin: auto;
       border: none;
   }

   .tab {
    border: none;
    padding-left: 15px!important;
    padding-right: 15px!important;
}

   .footer-right {
       margin: auto;
       border-top: 1 solid gray;
   }

   .in-tab {
       border-left: none;
   }

   /* resume */
   .container-resume {
       flex-direction: column;
   }

   .resume-col {
       width: 100%;
   }

   .resume-right-col {
       margin-left: 0;
       margin-top: 20px;
   }

   .resume-line {
       flex-direction: column;
   }

   .resume-date {
       margin-left: 0;
   }

   .logo-section {
    margin-left: auto;    
    border: none;
    width: 100%;
}
}

@media only screen and (max-width: 450px) {
    .nav {
        margin-bottom: 15px;
    }

    .logo-section {
        margin-left: auto;    
        border: none;
        width: 100%;
    }

    .logo-section > a > img {
        margin-left: 0;
        padding-left: 0;
    }

    h1 {
        font-size: 28px;
    }

    .project-section {
        padding: 35px 25px;
    }

    .proj-top {
        padding-bottom: 55px;
    }

    /* .footer-logo {
        margin-left: 0;    
        border: none;
        width: 100%;
    } */

    /* .footer-logo > a > img {
        margin: auto;
        padding-right: 0;
    } */

    .tab {
        border: none;
        padding-left: 15px!important;
        padding-right: 15px!important;
    }

    .hamburger {
        /* position: absolute; */
        display: flex;
        align-items: center;
        margin-right: 15px;
    }

    .container {
        margin: 15px;
        
    }

    .top-section {
        padding-top: 30px;
    }

    .top-section > h1, .top-section > p {
        padding: 25px;

    }

    .project-section {
        margin-bottom: 15px;
    }

    .container-resume {
        margin-left: 15px;
        margin-right: 15px;
    }

    .resume-details {
        padding: 35px 25px;
    }

    .contact-modal {
        width: 80%;
    }

    .proj-btn {
        margin-bottom: 40px;
    }
}